KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# ClipPainter Class Reference

`from PyKDE4.marble import *`

Inherits: QPainter
Subclasses: Marble.GeoPainter
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, QPaintDevice a0, bool a1)
| drawPolygon (self, QPolygonF a0, Qt.FillRule fillRule=Qt.OddEvenFill)
| drawPolyline (self, QPolygonF a0)
bool | isClipping (self)
| setClipping (self, bool enable)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QPaintDevice | a0,
|  | bool | a1
| ) |  |  |

drawPolygon | ( | self, |
|  | QPolygonF | a0,
|  | Qt.FillRule | fillRule=Qt.OddEvenFill
| ) |  |  |

drawPolyline | ( | self, |
|  | QPolygonF | a0
| ) |  |  |

bool isClipping | ( |  | self ) |

setClipping | ( | self, |
|  | bool | enable
| ) |  |  |